package com.chenyang.nse.bussiness.entity.vo;

public class TmaskingRuleCustMapping {
   private String id;
   private String flag;
   private String note;
   private String rulename;
   private String ruleel;
   private String demo;
   private String subjectarea;
   private String mappletname;
   private String engineid;
   private String maskingtype;
   private String lookup;
   private String datamasking;
   private String maskingtypetext;

   public String getId() {
      return this.id;
   }

   public void setId(String id) {
      this.id = id;
   }

   public String getFlag() {
      return this.flag;
   }

   public void setFlag(String flag) {
      this.flag = flag;
   }

   public String getNote() {
      return this.note;
   }

   public void setNote(String note) {
      this.note = note;
   }

   public String getRulename() {
      return this.rulename;
   }

   public void setRulename(String rulename) {
      this.rulename = rulename;
   }

   public String getRuleel() {
      return this.ruleel;
   }

   public void setRuleel(String ruleel) {
      this.ruleel = ruleel;
   }

   public String getDemo() {
      return this.demo;
   }

   public void setDemo(String demo) {
      this.demo = demo;
   }

   public String getSubjectarea() {
      return this.subjectarea;
   }

   public void setSubjectarea(String subjectarea) {
      this.subjectarea = subjectarea;
   }

   public String getMappletname() {
      return this.mappletname;
   }

   public void setMappletname(String mappletname) {
      this.mappletname = mappletname;
   }

   public String getEngineid() {
      return this.engineid;
   }

   public void setEngineid(String engineid) {
      this.engineid = engineid;
   }

   public String getMaskingtype() {
      return this.maskingtype;
   }

   public void setMaskingtype(String maskingtype) {
      this.maskingtype = maskingtype;
   }

   public String getLookup() {
      return this.lookup;
   }

   public void setLookup(String lookup) {
      this.lookup = lookup;
   }

   public String getDatamasking() {
      return this.datamasking;
   }

   public void setDatamasking(String datamasking) {
      this.datamasking = datamasking;
   }

   public String getMaskingtypetext() {
      return this.maskingtypetext;
   }

   public void setMaskingtypetext(String maskingtypetext) {
      this.maskingtypetext = maskingtypetext;
   }
}
